import { ContentsManager, Drive, Contents } from '@jupyterlab/services';
/**
 * Singleton contentsService class
 */
export declare class CodeSnippetContentsService {
    drive: Drive;
    contentsManager: ContentsManager;
    private static instance;
    private constructor();
    static getInstance(): CodeSnippetContentsService;
    /**
     * Create a file/directory if it does not exist. Otherwise, save the change in a file/directory in the given path
     * @param path path to a file/directory
     * @param options options that specify if it's a file or directory and additial information
     * Usage: save('snippets', { type: 'directory' }) to create/save a directory
     *        save('snippets/test.json', {type: 'file', format: 'text', content: 'Lorem ipsum dolor sit amet'})
     */
    save(path: string, options?: Partial<Contents.IModel>): Promise<Contents.IModel>;
}
