import React from 'react';
interface IFilterSnippetProps {
    tagDictionary: Map<string, string[]>;
    languageTags: string[];
    snippetTags: string[];
    onFilter: (searchValue: string, filterTags: string[], selectedLangTags: string[]) => void;
}
interface IFilterSnippetState {
    show: boolean;
    selectedTags: string[];
    searchValue: string;
}
export declare class FilterTools extends React.Component<IFilterSnippetProps, IFilterSnippetState> {
    constructor(props: IFilterSnippetProps);
    componentDidUpdate(prevProps: IFilterSnippetProps): void;
    createFilterBox(): void;
    renderTags(tags: string[], type: string): JSX.Element;
    renderAppliedTag(tag: string, index: string): JSX.Element;
    renderUnappliedTag(tag: string, index: string): JSX.Element;
    handleClick(event: React.MouseEvent<HTMLButtonElement, MouseEvent>): void;
    handleClickHelper(parent: HTMLElement, currentTags: string[], clickedTag: string): string[];
    handleSearch: (event: React.ChangeEvent<HTMLInputElement>) => void;
    filterSnippets(): void;
    renderFilterOption(): JSX.Element;
    render(): JSX.Element;
}
export {};
