import { Contents } from '@jupyterlab/services';
import { Widget } from '@lumino/widgets';
import { CodeSnippetService } from './CodeSnippetService';
import { CodeSnippetWidget } from './CodeSnippetWidget';
/**
 * Save an input with a dialog. This is what actually displays everything.
 * Result.value is the value retrieved from .getValue(). ---> .getValue() returns an array of inputs.
 */
export declare function CodeSnippetInputDialog(codeSnippetWidget: CodeSnippetWidget, code: string[], language: string, idx: number): Promise<Contents.IModel | null>;
/**
 * This function creates the actual input form and processes the inputs given.
 */
export declare function showInputDialog(codeSnippetWidget: CodeSnippetWidget, tags: string[], idx: number, codeSnippetManager: CodeSnippetService, code: string[], language: string, body: InputHandler): Promise<Contents.IModel | null>;
/**
 * Test whether a name is a valid file name
 *
 * Disallows "/", "\", and ":" in file names, as well as names with zero length.
 */
export declare function isValidFileName(name: string): boolean;
/**
 * A widget used to get input data.
 */
declare class InputHandler extends Widget {
    /**
     * Construct a new "code snippet" dialog.
     * readonly inputNode: HTMLInputElement; <--- in Widget class
     */
    constructor(snippetTags: string[], language: string, langTags: string[]);
    getValue(): string[];
}
export {};
