import { Dialog } from '@jupyterlab/apputils';
import { Message } from '@lumino/messaging';
/**
 * Create and show a dialog.
 *
 * @param options - The dialog setup options.
 *
 * @returns A promise that resolves with whether the dialog was accepted.
 */
export declare function showMessage<T>(type: string): Promise<Dialog.IResult<T>>;
/**
 * A widget used to show message.
 */
export declare class CodeSnippetMessage<T> extends Dialog<any> {
    constructor(options?: Partial<Dialog.IOptions<T>>);
    protected onAfterAttach(msg: Message): void;
    /**
     *  A message handler invoked on an `'after-detach'` message.
     */
    protected onAfterDetach(msg: Message): void;
    handleEvent(event: Event): void;
    protected _evtKeydown(event: KeyboardEvent): void;
}
